> ## Documentation Index
> Fetch the complete documentation index at: https://docs.venture.caplia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Recognise whether an email is linked to a Caplia Passport



## OpenAPI

````yaml /api-reference/openapi.json post /v1/connect/recognise
openapi: 3.0.0
info:
  version: 1.0.0
  title: Caplia Investor API
  description: >-
    Public REST API for the Caplia Investor Portal. Auth: `Authorization: Bearer
    cap_inv_live_<32 chars>`.
  contact:
    name: Caplia
    url: https://docs.venture.caplia.ai
servers:
  - url: https://api.venture.caplia.ai
    description: Production
security: []
paths:
  /v1/connect/recognise:
    post:
      tags:
        - Connect
      summary: Recognise whether an email is linked to a Caplia Passport
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                form_id:
                  type: string
                  minLength: 1
                  maxLength: 128
                email:
                  type: string
                  maxLength: 320
                  format: email
              required:
                - form_id
                - email
      responses:
        '200':
          description: Whether the email is linked to a Caplia Passport holder
          content:
            application/json:
              schema:
                type: object
                properties:
                  recognised:
                    type: boolean
                required:
                  - recognised
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '404':
          description: Not found or out of scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error

````